# Xsane-0.55: compile/configure/install nits

From: John Vickers (jvickers@dial.pipex.com)
Date: Wed Feb 16 2000 - 02:51:39 PST

- Next message: Mentore Siesto: "Report on last CVS snapshot"
  - Previous message: John Gay: "600 resolution quite slow with my 1236S Snapscan?"
  - Next in thread: John Vickers: "Xsane-0.55: compile/configure/install nits"
  - Reply: Bill Thompson: "Re: Xsane-0.55: compile/configure/install nits"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hello.

  I think there are some problems with configuring & building xsane.

  In short, I think we need:
  - A way of specifing the location of the sane installation to build with.
  --with-sane= ??
  - A way of specifying static linking for the xsane executable.

  This seems like reasonably standard configury stuff. Not that I'm an
  expert on autoconf...

  Building xsane out-of-the-box on a Linux distribution
  which includes sane is almost bound to fail: the linked libsane
  will be the libsane from /usr/lib, and include files will be taken from
  /usr/include

  E.g. after configuring xsane-0.55 with --prefix=/home/pkg/test
  --disable-shared
  I see the following link command for xsane:

  gcc -o xsane xsane-back-gtk.o xsane-front-gtk.o xsane-gamma.o
  xsane-preview.o xsane-rc-io.o xsane-device-preferences.o
  xsane-preferences.o
  xsane-setup.o xsane-save.o xsane-scan.o xsane-icons.o xsane.o \
  ../lib/liblib.a -lgimp -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk
  -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm -lpng -lsane -ldl
  -ltiff -ljpeg -lz -lm

  I think the recommendation of removing any existing Sane installation
  may not be an option for policy reasons or simply because necessary
  permissions are unavailable.

  My bodge to make xsane link was to configure with:
  CC="gcc -L/home/pkg/test/lib -I/home/pkg/test/include"

  and ewither run the executable with LD_LIBRARY_PATH=/home/pkg/test/lib
  or link a static binary based on the command line above.

  Solutions:
  - "One-tree-build": move xsane into the sane tree. Does this just work ?
  Is there any reason for not doing this ?
  - Put -L$(libdir) in the link command, and -I$(includedir) in the compile
  commands.
  This will work if, as seems reasonably likely, xsane is being installed
  to the same place as sane.

  Other problems (installation instructions):

  The installation instruction to do "make install" as root
  is unnecessary, and arguably a bad idea. So long as the install dirs are
  writable, there should be no problem.

  Similarly, editing /etc/ld.so.conf (or equivalent) is not strictly
  necessary. The dynamic library search path can be modified by setting
  LD_LIBRARY_PATH e.g. in ~/.profile.

  Regards,

  John.

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: Mentore Siesto: "Report on last CVS snapshot"
  - Previous message: John Gay: "600 resolution quite slow with my 1236S Snapscan?"
  - Next in thread: John Vickers: "Xsane-0.55: compile/configure/install nits"
  - Reply: Bill Thompson: "Re: Xsane-0.55: compile/configure/install nits"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Thu Feb 17 2000 - 00:04:23 PST